=== debian/control ===
Source: mplayer
Section: misc
Priority: optional
Maintainer: Dariush Pietrzak <eyck@ghost.anime.pl>
Standards-Version: 3.2.1
Build-Depends:gcc, libglib-dev, libgtk-dev, xlibs-dev, libpng-dev, zlib1g-dev, debhelper (>= 2)

Package: mplayer
Architecture: any
Depends: ${shlibs:Depends},debconf,libconfhelper-perl
Description: The Ultimate Movie Player 
 MPlayer is a movie player for Un*x. It plays most MPEG, AVI and ASF files,
 supported by many native and Win32 DLL codecs. You can watch VCD, DVD and even
 DivX movies with MPlayer.
 .
 MPlayer supports a wide range of output drivers: X11, Xv, DGA, OpenGL,
 SVGAlib, fbdev, AAlib, GGI, SDL . You can use SDL and thus all the SDL 
 drivers. Same goes for GGI.
 There are some low-level card-specific drivers (e.g. Matrox).  Most of the
 drivers support either software or hardware scaling, so you can enjoy
 movies in full screen mode.
 .
 MPlayer has nice, big antialiased shaded subtitles (7 supported types!)
 with Hungarian, English, Cyrillic, Czech and Korean fonts, and OSD.
