=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
#export DH_VERBOSE=1
# This is the debhelper compatability version to use.
export DH_COMPAT=3

package        := mplayer
prefix := $(shell pwd)/debian/$(package)

arch   := $(shell dpkg --print-architecture)
  
ifeq ($(arch),powerpc)
  arch-conf += --disable-mp1e
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(checkdir)
	./configure --prefix=/usr --confdir=/etc/mplayer --enable-gui $(DEB_BUILD_OPTIONS)

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# commands to compile the package.
	${MAKE} 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# commands to clean up after the build process.
	-$(MAKE) distclean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# commands to install the package into debian/<packagename>
	$(MAKE) prefix=$(prefix)/usr BINDIR=$(prefix)/usr/bin CONFDIR=$(prefix)/etc/mplayer LIBDIR=$(prefix)/usr/lib DATADIR=$(prefix)/usr/share/mplayer  MANDIR=$(prefix)/usr/share/man  install
	dh_link usr/bin/mplayer usr/bin/gmplayer \
		usr/share/man/man1/mplayer.1.gz usr/share/man/man1/gmplayer.1.gz


	dh_installdebconf	
	dh_installdocs DOCS/*
	dh_installexamples etc/example.conf
	dh_installmenu
#	dh_installmime
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb



#binary-arch: checkroot build
#	$(checkdir)
#	-rm -rf debian/tmp
#	install -d debian/tmp
#	cd debian/tmp && install -d `cat ../dirs`


# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
#	debstd 
#	dpkg-gencontrol -isp
#	chown -R root.root debian/tmp
#	chmod -R go=rX debian/tmp
#	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot
